Subject: Re: bug#63050: "guix pull" requires graphical libraries

From: Csepp <[email-masked]>
Date: Thu, 11 May 2023 23:30:30 +0200

Simon Tournier <[email-masked]> writes:

> Hi,
>
> On ven., 05 mai 2023 at 15:21, Csepp <[email-masked]> wrote:
>
>> Or just move it to a separate output or package?  That should really be
>> something done for all packages automatically tbh.  Alpine gets this right.
>
> Well, I do not think a separate output would be possible and we are not
> talking about the package named ’guix’ but about what is implemented by
> the module (guix self).
>
> Somehow, I agree that one direction would to make optional some
> features.  The current proposal for tackling this issue is the reduction
> of the closure by removing lix11 and libxrender as discussed in [1].
>
> 1: https://issues.guix.gnu.org/msgid/[email-masked]
>
>
> Cheers,
> simon

It should be made possible IMHO.  It's nice that our packages come with
docs, including Guix, but they are often unnecessary.  If an output
won't work because guix-self is special, then maybe it could be moved to
a separate package.